* (c) INSTITUTO NACIONAL DE ESTADISTICAS Y CENSOS.

* NOMBRE DEL ARCHIVO: P07_e2014_engel_Laspeyres.SPS.

* TEMA: CONSUMO TOTAL DE LOS HOGARES.


* FUENTE: ECV6R .

* CONSULTOR RESPONSABLE: Ing. Wladymir Brborich P. MBA.

* ULTIMA ACTUALIZACION: 6 de Abril del 2015.


* ESTE ES EL OCTAVO PROGRAMA QUE SE DEBE CORRER.



GET FILE='C:\ECV2014\Datos\BASIC_2014.sav'.

****Lnea usando los pesos de la canasta de ECV5R*****.

compute LI_2014 = 47.55995941.

***Se utiliza el Coeficiente de Engel del 2006*****.

compute engel_t = 0.564.

compute LP_2014 = LI_2014 / engel_t.


WEIGHT BY FACPER.

compute total = 1.

var lab LP_2014 'Lnea de Pobreza ($ por persona al mes)'.
var lab LI_2014 'Lnea de extrema pobreza ($ por persona al mes)'.

if (~sysmis (adjcap)) indigent = 0.
if (adjcap <= LI_2014) indigent = 100.

if (~sysmis (adjcap)) pobre = 0.
if (adjcap <= LP_2014) pobre = 100.


FORMATS engel_t (f4.3).

WEIGHT OFF.

SAVE OUTFILE='C:\ECV2014\Datos\BASICDAT_2014.sav'  /COMPRESSED.

GET FILE='C:\ECV2014\Datos\BASICDAT_2014.sav'.

WEIGHT by FEXP.

RANK VARIABLES=adjcap (A)
  /NTILES(5)
  /PRINT=YES
  /TIES=MEAN.

MEANS TABLES=adjcap BY nadjcap
  /CELLS MEAN SUM COUNT.

MEANS TABLES=cn_01 cn_02 cn_03 cn_04 cn_05 cn_06 cn ca  BY provin nadjcap
  /CELLS MEAN SUM COUNT.

WEIGHT OFF.
WEIGHT BY FACPER.

MEANS TABLES=indigent pobre BY regiont BY area
  /CELLS MEAN COUNT.

MEANS TABLES=indigent pobre BY provin
  /CELLS MEAN COUNT.
